%global pypi_name jsonschema
%global python3_pkgversion 38

%global common_description %{expand:
jsonschema is an implementation of JSON Schema for Python (supporting
2.7+, including Python 3).

 - Full support for Draft 7, Draft 6, Draft 4 and Draft 3
 - Lazy validation that can iteratively report all validation errors.
 - Small and extensible
 - Programmatic querying of which properties or items failed validation.}

%{?python_enable_dependency_generator}

Name:           python38-%{pypi_name}-epel
Summary:        Implementation of JSON Schema validation for Python
Version:        3.2.0
Release:        1%{?dist}
License:        MIT

URL:            https://github.com/Julian/jsonschema
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python38-devel
BuildRequires:  python38-rpm-macros

BuildRequires:  python3.8dist(setuptools)
BuildRequires:  python3.8dist(setuptools-scm)

# test requirements
%bcond_with tests
%if %{with tests}
BuildRequires:  python3.8dist(attrs)
BuildRequires:  python3.8dist(perf)
BuildRequires:  python3.8dist(pyrsistent)
BuildRequires:  python3.8dist(six)
BuildRequires:  python3.8dist(twisted)
%endif

%description %{common_description}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name} %{common_description}


%{?python_extras_subpkg:%python_extras_subpkg -n python%{python3_pkgversion}-%{pypi_name} -i %{python3_sitelib}/*.egg-info format}


%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%if %{with tests}
%check
PYTHONPATH=$(pwd) trial-3 %{pypi_name}
%endif


%files -n python%{python3_pkgversion}-%{pypi_name}
%license COPYING json/LICENSE
%doc README.rst

%{_bindir}/jsonschema

%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Jun 29 2022 Orion Poplawski <orion@nwra.com> - 3.2.0-1
- Build for EPEL8 Python 3.8
